Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class AbstractXSLPreferencePage

    public class AbstractXSLPreferencePage
    extends AbstractPreferencePage

Augments the SSE `AbstractPreferencePage` with support for expandable composites (twisties) and combos.

## Constructor Summary

`AbstractXSLPreferencePage()`

## Method Summary

`protected Combo` | `createCombo(Composite parent , java.lang.String label , java.lang.String prefKey)`
`protected Composite` | `createCommonContents(Composite parent)` Called by createContents and must be implemented.
`protected Control` | `createContents(Composite parent)`
`protected Composite` | `createTwistie(Composite parent , java.lang.String label , int cols)`
`public void` | `dispose()` Saves the expansion states before calling super.
`protected Preferences` | `getModelPreferences()`
`public boolean` | `performOk()` Save the preferences.

## Constructor Detail

## AbstractXSLPreferencePage

`public AbstractXSLPreferencePage()`

## Methods Detail

## createCombo

`protected Combo createCombo(Composite parent , java.lang.String label , java.lang.String prefKey)`

### Parameters

`parent`

`label`

`prefKey`

### Returns

`Combo`

## createCommonContents

`protected Composite createCommonContents(Composite parent)`

Called by createContents and must be implemented.

### Parameters

`parent`

### Returns

`Composite` - the composite

## createContents

`protected Control createContents(Composite parent)`

### Parameters

`parent`

### Returns

`Control`

## createTwistie

`protected Composite createTwistie(Composite parent , java.lang.String label , int cols)`

### Parameters

`parent`

`label`

`cols`

### Returns

`Composite`

## dispose

`public void dispose()`

Saves the expansion states before calling super.

## getModelPreferences

`protected Preferences getModelPreferences()`

### Returns

`Preferences`

## performOk

`public boolean performOk()`

Save the preferences.

### Returns

`boolean`